package api.common.pojo.vo.algorithm;

import lombok.*;

/**
 * 算法列表vo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AlgorithmVO {
    private String id;  //算法ID
    private String algorithmCode;   //算法名称
    private String algorithmName;  //算法名称
    private String description; //算法描述
    private String algorithmVersion;
    private String team = "";
    private String topic = "";
    private String status = "";
    private String validationStatus; //校验状态
    private String uploadMode; //上传方式
}
