package com.css.simulation.resource.common.infra.configuration.alg_platform;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties(prefix = "alg-platform")
public class ClientDetail {

    private String appid;//客户端id
    private String secret;//秘钥
    private String tokenUri;//获取token接口
    private String algorithmListUri;//获取列表查询接口
    private String algorithmAddrUri;//获取算法地址接口

}
