package com.css.simulation.resource.monitor.acl.service;

import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.monitor.acl.service.impl.ProjectServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.Map;

@FeignClient(contextId = "ProjectService",
        value = "simulation-resource-server",
        //url = "http://127.0.0.1:7003",
        path = "/simulation/resource/server",
        fallback = ProjectServiceFallback.class)
public interface ProjectAclService {

    @PostMapping("/monitor/createAutomaticSubProject")
    ResponseBodyVO<String> runProject(Map<String,String> projectParam);

}
