package api.common.pojo.vo.project;

import lombok.*;

import java.util.Date;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ManualProjectTaskVo {
    private String id; //id
    private String pId; //项目主表id
    private String lastTargerId; //最后一级指标id
    private String sceneId; //场景id
    private String sceneName; //场景名称
    private Integer sceneNum; //场景数量
    private String sceneType; //场景类型
    private Date runStartTime; //运行开始时间
    private Date runEndTime; //运行结束时间
    private String runStartTimeFmt; //运行开始时间fmt
    private String runEndTimeFmt; //运行结束时间fmt
    private String runState; //运行状态
    private String runResult; //运行结果
    private Double score; //得分
    private String targetEvaluate; //指标评价
    private String returnSceneId; //返回的场景id
    private String runResultFilePath; //运行结果文件minio路径
    private String timeActual; // 实际用时
    private String timeCorrection; // 修正时间
}
