package api.common.pojo.vo.project;

import lombok.*;

/**
 * 指标得分
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SublistScoreVo {

    private String id;
    private String parentId;
    private String sublistName;
    private String sceneNum;
    private Double firScore;
    private Double lasScore;
    private String packageAndRules;
    private String errorSceneNum;
    private String notScoredSceneNum;
    private String notStandardSceneNum;
    private String standardSceneNum;
    private String scoreExplain;
    private Double sceneScore;
    private String targetEvaluate;
    private String sceneType;
    private String returnSceneId;
    private String runResult;
    private String firTarget;
    private String lasTarget;
    private String timeActual; // 实际用时
    private String timeCorrection; // 修正时间
}
